#
# Conditional build:
%bcond_with	tests	# do not perform "make test"
#
%define		pdir	IO
%define		pnam	String
Summary:	IO::String - emulate file interface for in-core strings
Summary(pl.UTF-8):	IO::String - emulacja interfejsu plikowego dla ciągów znaków
Name:		perl-IO-String
Version:	1.08
Release:	2%{?tld}
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/IO/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	250e5424f290299fc3d6b5d1e9da3835
URL:		http://search.cpan.org/dist/IO-String/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
IO::String module emulates the IO::File interface for in-core strings.

%description -l pl.UTF-8
Moduł Perla IO::String, emulujący interfejs IO::File dla ciągów
znaków.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/IO/String.pm
%{_mandir}/man3/IO::String.3pm*
%changelog
* Mon Apr 22 2024 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/perl-IO-String.git;a=log;h=master

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> 3064fe9
- drop obsolete and outdated manual inclusion of rpm macros

* Sat Jan 09 2016 Jakub Bogusz <qboosh@pld-linux.org> e593c2f
- verbose man files

* Sun Jul 27 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> cc78e52
- release 2

* Sun Mar 23 2008 Jakub Bogusz <qboosh@pld-linux.org> f3d51d3
- generic URL
- informative summaries

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 5c9bca9
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 83ef77e
- converted to UTF-8

* Sun Feb 26 2006 Maciej Pijanka <agaran@pld-linux.org> 40bb76e
- up to 1.08 rel 1

* Sat Nov 26 2005 Karol Krenski <charles@pld-linux.org> 9daa815
- updated to 1.07

* Wed Dec 01 2004 radek <radek@pld-linux.org> fd03937
- autoupdated to 1.06

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> 8ae5c52
- formatting

* Fri May 07 2004 ankry <ankry@pld-linux.org> 7f7b7af
- rel. 2

* Thu May 06 2004 ankry <ankry@pld-linux.org> 399edc2
- fixed perl-devel BR

* Sun Apr 25 2004 ankry <ankry@pld-linux.org> c5efa65
- tests added

* Thu Apr 22 2004 ankry <ankry@pld-linux.org> 4060461
- license fixes & unification

* Sun Apr 04 2004 Adam Gołębiowski <adamg@pld-linux.org> ab777c0
- updated to 1.05

* Sat Jan 24 2004 Arkadiusz Miśkiewicz <arekm@maven.pl> 3162832
- autoupdated to 1.04

* Tue Oct 07 2003 migo <migo@pld-linux.org> 9061df1
- up to 1.03
- tests enabled

* Tue Sep 09 2003 ankry <ankry@pld-linux.org> fde6b42
- spaces -> tab

* Mon Aug 18 2003 Tomasz Pala <gotar@pld-linux.org> 8e8aadb
- mass commit: cosmetics (removed trailing white spaces)

* Wed May 28 2003 Michal Moskal <michal@moskal.me> 04d4234
- massive attack: source-md5

